SqlServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.mssql.SqlServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.mssql
Interface SqlServer

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  MySAPSqlServer

    public interface SqlServer

extends DatabaseServer

Represents an instance of Microsoft SQL Server.

Persistable:
  true
Top Level:
  true
Display Name:
  host,primarySAP

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`int` | `getConcurrentLimit()`
`SqlServerConfig[]` | `getConfigs()`
`SqlServerDatabase[]` | `getDatabases()`
`java.lang.String` | `getDefaultDomain()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getPipeName()`
`SqlServerProcess[]` | `getProcesses()`
`java.lang.String` | `getRunAsUser()`
`java.lang.String` | `getSortOrder()`
`boolean` | `hasConcurrentLimit()`
`boolean` | `hasConfigs()`
`boolean` | `hasDatabases()`
`boolean` | `hasDefaultDomain()`
`boolean` | `hasLanguage()`
`boolean` | `hasPipeName()`
`boolean` | `hasProcesses()`
`boolean` | `hasRunAsUser()`
`boolean` | `hasSortOrder()`
`void` | `setConcurrentLimit(int concurrentLimit)`
`void` | `setConfigs(SqlServerConfig[] configs)`
`void` | `setDatabases(SqlServerDatabase[] databases)`
`void` | `setDefaultDomain(java.lang.String defaultDomain)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setPipeName(java.lang.String pipeName)`
`void` | `setProcesses(SqlServerProcess[] processes)`
`void` | `setRunAsUser(java.lang.String runAsUser)`
`void` | `setSortOrder(java.lang.String sortOrder)`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### setConcurrentLimit

    void setConcurrentLimit(int concurrentLimit)

### getConcurrentLimit

    int getConcurrentLimit()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasConcurrentLimit

    boolean hasConcurrentLimit()

### setRunAsUser

    void setRunAsUser(java.lang.String runAsUser)

### getRunAsUser

    java.lang.String getRunAsUser()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRunAsUser

    boolean hasRunAsUser()

### setDefaultDomain

    void setDefaultDomain(java.lang.String defaultDomain)

### getDefaultDomain

    java.lang.String getDefaultDomain()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultDomain

    boolean hasDefaultDomain()

### setPipeName

    void setPipeName(java.lang.String pipeName)

### getPipeName

    java.lang.String getPipeName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPipeName

    boolean hasPipeName()

### setSortOrder

    void setSortOrder(java.lang.String sortOrder)

### getSortOrder

    java.lang.String getSortOrder()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSortOrder

    boolean hasSortOrder()

### setLanguage

    void setLanguage(java.lang.String language)

### getLanguage

    java.lang.String getLanguage()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLanguage

    boolean hasLanguage()

### setDatabases

    void setDatabases(SqlServerDatabase[] databases)

### getDatabases

    SqlServerDatabase[] getDatabases()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasDatabases

    boolean hasDatabases()

### setConfigs

    void setConfigs(SqlServerConfig[] configs)

### getConfigs

    SqlServerConfig[] getConfigs()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### hasConfigs

    boolean hasConfigs()

### setProcesses

    void setProcesses(SqlServerProcess[] processes)

### getProcesses

    SqlServerProcess[] getProcesses()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasProcesses

    boolean hasProcesses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD